aboutsummaryrefslogtreecommitdiff
path: root/test/dotnet/install_dotnet_5.sh
diff options
context:
space:
mode:
authorJosh Spicer <joshspicer@github.com>2022-08-24 00:23:21 +0300
committerGitHub <noreply@github.com>2022-08-24 00:23:21 +0300
commitf82307ad60514d1e912a9aa2b64204721fe955eb (patch)
treebc1799743ef7620c3e460d54f77c1fac3003fd4c /test/dotnet/install_dotnet_5.sh
parent84f4996643b84c6f3dcd5c3edc72ae176dceaf65 (diff)
test updates to adopt https://github.com/devcontainers/cli/pull/124 (#114)
* test updates to adopt https://github.com/devcontainers/cli/pull/124 * remove accidental tgz check in * typo in option * typo in python install script on dotnet6/jammy branch * no scenarios * code review and test name * Delete install_os_provided_python.sh
Diffstat (limited to 'test/dotnet/install_dotnet_5.sh')
-rw-r--r--test/dotnet/install_dotnet_5.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/test/dotnet/install_dotnet_5.sh b/test/dotnet/install_dotnet_5.sh
new file mode 100644
index 0000000..5f48eb1
--- /dev/null
+++ b/test/dotnet/install_dotnet_5.sh
@@ -0,0 +1,14 @@
+#!/bin/bash
+
+set -e
+
+# Optional: Import test library
+source dev-container-features-test-lib
+
+check "dotnet sdks" dotnet --list-sdks
+check "some major version of dotnet 5 is installed" dotnet --list-sdks | grep '5\.[0-9]*\.[0-9]*'
+check "dotnet version 5 installed" ls -l /usr/share/dotnet/sdk | grep '5\.[0-9]*\.[0-9]*'
+
+
+# Report result
+reportResults